Bug 129797 - Radeon driver (7000m) TVDAC output too high for DELL Server
Summary: Radeon driver (7000m) TVDAC output too high for DELL Server
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-12 18:55 UTC by Hui Yu
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 07:45:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:479 normal SHIPPED_LIVE Moderate: XFree86 security update 2004-10-06 04:00:00 UTC

Description Hui Yu 2004-08-12 18:55:52 UTC
This is for Dell server using radeon 7000m. Radeon driver has benn 
updated to support the special configuration of Dell server. However 
Dell reports TVDAC output RGB signal is a bit too high, need to 
adjust RGB voltage from ~800mv to ~760mv. See patch below.

--- radeon_driver.c.orig	2004-08-11 11:50:27.000000000 -0400
+++ radeon_driver.c	2004-07-12 10:00:01.000000000 -0400
@@ -5723,7 +5723,7 @@
         */
         save->disp_hw_debug |= RADEON_CRT2_DISP1_SEL;
         save->tv_dac_cntl &= ~((1<<2) | (3<<8) | (7<<24) | 
(0xff<<16));
-        save->tv_dac_cntl |= (0x03 | (2<<8) | (0x28<<16));
+        save->tv_dac_cntl |= (0x03 | (2<<8) | (0x58<<16));
     }
 
     RADEONTRACE(("Pitch = %d bytes (virtualX = %d, displayWidth = %d)
\n",

Comment 1 Mike A. Harris 2004-09-15 07:45:03 UTC
Patch updated in 4.1.0-62.EL build, which will be released as
erratum within the next few weeks.  Setting status to "ERRATA"
for pending erratum release.

Comment 2 Josh Bressers 2004-10-06 13:26:18 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-479.html



Note You need to log in before you can comment on or make changes to this bug.